org.apache.tapestry5.internal.jpa

## Class TapestryCDIBeanManagerForJPAEntityListeners

- java.lang.Object
- - org.apache.tapestry5.internal.jpa.NoopBeanManager
  - - org.apache.tapestry5.internal.jpa.TapestryCDIBeanManagerForJPAEntityListeners

- All Implemented Interfaces:
    BeanManager

      public class TapestryCDIBeanManagerForJPAEntityListeners
      extends NoopBeanManager

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TapestryCDIBeanManagerForJPAEntityListeners()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `<T> AnnotatedType<T>` | `createAnnotatedType(Class<T> type)`
    `<T> CreationalContext<T>` | `createCreationalContext(Contextual<T> contextual)`
    `<T> InjectionTarget<T>` | `createInjectionTarget(AnnotatedType<T> type)`

    - ### Methods inherited from class org.apache.tapestry5.internal.jpa.NoopBeanManager

      `areInterceptorBindingsEquivalent, areQualifiersEquivalent, createBean, createBean, createBeanAttributes, createBeanAttributes, createInjectionPoint, createInjectionPoint, fireEvent, getBeans, getBeans, getContext, getELResolver, getExtension, getInjectableReference, getInjectionTargetFactory, getInterceptorBindingDefinition, getInterceptorBindingHashCode, getPassivationCapableBean, getProducerFactory, getProducerFactory, getQualifierHashCode, getReference, getStereotypeDefinition, isInterceptorBinding, isNormalScope, isPassivatingScope, isQualifier, isScope, isStereotype, resolve, resolveDecorators, resolveInterceptors, resolveObserverMethods, validate, wrapExpressionFactory`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TapestryCDIBeanManagerForJPAEntityListeners

          public TapestryCDIBeanManagerForJPAEntityListeners()

  - ### Method Detail

    - #### createAnnotatedType

          public <T> AnnotatedType<T> createAnnotatedType(Class<T> type)

      Specified by:
        `createAnnotatedType` in interface `BeanManager`
      Overrides:
        `createAnnotatedType` in class `NoopBeanManager`

    - #### createInjectionTarget

          public <T> InjectionTarget<T> createInjectionTarget(AnnotatedType<T> type)

      Specified by:
        `createInjectionTarget` in interface `BeanManager`
      Overrides:
        `createInjectionTarget` in class `NoopBeanManager`

    - #### createCreationalContext

          public <T> CreationalContext<T> createCreationalContext(Contextual<T> contextual)

      Specified by:
        `createCreationalContext` in interface `BeanManager`
      Overrides:
        `createCreationalContext` in class `NoopBeanManager`

5.6.0 - Copyright © 2003-2020 The Apache Software Foundation.